
var accion = document.editarPlantaForm.accion.value;
$("#feini").rup_date ();	
//Formatear la fecha 
if ($("#feini").val()!=""){
    var fechaIni = new Date($("#feini").val().substring(0,10).replace("-","/").replace("-","/"));
    $("#feini").rup_date("setDate", fechaIni);
}
	
	
	$( document ).ready(function() {
	var accion = document.editarPlantaForm.accion.value;		
		if (accion == "NUEVO") {
		    $("#botoneraModificar").hide();       
		    $("#checkboxBaja").hide();
		    $("#botoneraNuevo").show();    
		}  else {
			   $("#botoneraModificar").show();
	 	       $("#checkboxBaja").show();
		       $("#botoneraNuevo").hide();	   
		}
	}
	);

	$("#feini").rup_date();
	
/********************************* GUARDAR NUEVO ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarGuardar);
	
	function confirmarGuardar (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesPlanta.guardar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
			OKFunction: function(){
				guardarNuevaPlanta();		
			},
			CANCELFunction : function(){
			}
			});
	}
		
	function guardarNuevaPlanta() {	
		var properties={
				url:"../plantas/addNuevaPlanta",
				feedback:$("#feedbackEditarPlanta"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(){	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
		        	   document.editarPlantaForm.accion.value = "MODIFICAR";
		        	   $("#botoneraModificar").show();        	
		        	   $("#checkboxBaja").show();
		   		       $("#botoneraNuevo").hide();   	 
				 },
				 validate: {
					 rules: {
						 "cplanta":{required:true},
						 "eplanta":{required:true},
						 "rplanta":{required:true}
					 }
				 }
				};
				$("#editarPlantaForm").rup_form(properties);				
				$("#editarPlantaForm").submit();
	}
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesPlanta.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){
				modificarPlanta ();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarPlanta () {		
		var properties={
				url:"../plantas/modificaPlanta",
				feedback:$("#feedbackEditarPlanta"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 $("#dialogoGuardar").rup_dialog("close");
					 $("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){
					 $("#dialogoGuardar").rup_dialog("close");
					  $("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "cplanta":{required:true},
						 "eplanta":{required:true},
						 "rplanta":{required:true}
					 }
				 }
				};
				$("#editarPlantaForm").rup_form(properties);				
				$("#editarPlantaForm").submit();
		
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	
	/********************************* BOTON NUEVO  ****************************************************************/
	// al darle a "nuevo" volvemos a la misma pantalla vacía
	$("#bt_nuevo").bind("click", refrescar);
	
	function refrescar (){		
			location.href="../plantas/nuevo";		

	}
	/********************************* FIN BOTON NUEVO  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoPlantaIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarPlanta").rup_feedback (properties);

   		$("#feedbackEditarPlanta").rup_feedback("set", texto);

   		$("#feedbackEditarPlanta").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarPlanta").rup_feedback (properties);

 		$("#feedbackEditarPlanta").rup_feedback("set", texto);

 		$("#feedbackEditarPlanta").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarPlanta").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




	function valida(e){
		var charCode = !e.charCode ? e.which : e.charCode;
		//La tecla / no está permitida en este campo porque si no casca al hacer las jerarquias en el mantenimiento de Planos.
		if (charCode==47){
			return false;
		}
		return;
	}